<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwWiener</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
  <meta content="Oliver Holme" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr>
      <td
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Component Name</span><br>
      </td>
      <td colspan="1" rowspan="1"
 style="vertical-align: top; text-align: center;"><span
 style="font-weight: bold;">fwWiener</span><br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Description<br>
      </strong></td>
      <td colspan="1" width="78%">
      <p>This component contains the Framework devices required to work with
        the Wiener hardware. The access to the devices is through one of the
        Wiener OPC servers.</p>
      <p>Currently through the Wiener KVASER OPC server you can control CAN-based
        Wiener Fan Trays, Crates and Power Supplies.</p>
      <p>With the Wiener  OPC Server you can access the new Ethernet Wiener MARATON
        hardware.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Dependencies<br>
      </strong></td>
      <td colspan="1">fwCore<br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Additional software required<br>
      </strong></td>
      <td colspan="1"><p>Krakow Wiener KVASER OPC server available at http://itcofe.web.cern.ch/itcofe/Services/OPC/RecommendedTools/Servers/WIENER/welcome.html</p>
        <p><strong>and/or</strong></p>        
        <p>Wiener  OPC Server for Ethernet MARATON hardware.</p>
        <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Panels</span><span
 style="font-weight: bold;"></span><br>      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">View and modify the configuration of  Wiener
      CAN bus  devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerCanBusConfiguration.htm">fwWienerCanBusConfiguration.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Monitor and operate  Wiener CAN bus  devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerCanBusOperation.htm">fwWienerCanBusOperation.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Set  configurable parameters relating to the CAN bus
      used for Wiener devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerCanBusSettings.htm">fwWienerCanBusSettings.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">View and modify the configuration of Wiener channel devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerChannelConfiguration.htm">fwWienerChannelConfiguration.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Monitor and operate Wiener channel devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerChannelOperation.htm">fwWienerChannelOperation.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">View and modify the configuration of Wiener crate devices<br>      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerCrateConfiguration.htm">fwWienerCrateConfiguration.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Monitor and operate Wiener crate devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerCrateOperation.htm">fwWienerCrateOperation.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">View and modify the configuration of Wiener driver devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerDriverConfiguration.htm">fwWienerDriverConfiguration.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Monitor and operate Wiener driver devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerDriverOperation.htm">fwWienerDriverOperation.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show the detailed information about the fans of Wiener devices,
      such as individual speeds, average speed and nominal speed</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerFansDetail.htm">fwWienerFansDetail.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">View
        and modify the configuration of Wiener fan tray devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerFanTrayConfiguration.htm">fwWienerFanTrayConfiguration.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Monitor
        and operate Wiener fan tray devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerFanTrayOperation.htm">fwWienerFanTrayOperation.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show the detailed information about general features of Wiener
      devices, such as software versions and running times</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerGeneralDetail.htm">fwWienerGeneralDetail.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Create, delete and configure devices that are used to represent
      the OPC servers that connect to Wiener hardware</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerManageDrivers.htm">fwWienerManageDrivers.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Create, delete and configure devices that are used to represent
      the Wiener Channel Groups that can be configured in MARATON power supplies</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerManageGroups.htm">fwWienerManageGroups.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">View
        and modify the configuration of Wiener MARATON channel devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerMarathonChannelConfiguration.htm">fwWienerMarathonChannelConfiguration.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Monitor
        and operate Wiener MARATON channels in RCM devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerMarathonRCMChannelOperation.htm">fwWienerMarathonRCMChannelOperation.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Monitor
      and operate Wiener MARATON channel devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerMarathonChannelOperation.htm">fwWienerMarathonChannelOperation.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">View
        and modify the configuration of Wiener MARATON  devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerMarathonConfiguration.htm">fwWienerMarathonConfiguration.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Monitor
        and operate Wiener MARATON  devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerMarathonOperation.htm">fwWienerMarathonOperation.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Set certain settings specific to the Wiener MARATON devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerMarathonSettings.htm">fwWienerMarathonSettings.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">View
        and modify the configuration of Wiener power supply devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerPSConfiguration.htm">fwWienerPSConfiguration.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Monitor
        and operate Wiener power supply devices</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerPSOperation.htm">fwWienerPSOperation.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Show the detailed information about the temperatures of Wiener
      devices, such as the state of each temperature probe</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwWiener/fwWienerTemperaturesDetail.htm">fwWienerTemperaturesDetail.pnl</a></td>
    </tr>
    <tr valign="top">
      <td colspan="2"
 bgcolor="#00cc00" style="background-color: rgb(51, 204, 0); width: 50%;"><strong>Object
        Panels</strong></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">A reference panel to give an overview of the channels
      of a Wiener device</td>
      <td style="width: 50%;" colspan="1"><a href="panels/objects/fwWiener/fwWienerChannelsOverview.htm">fwWienerChannelsOverview.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">A reference panel for showing the Wiener Driver cache words</td>
      <td style="width: 50%;" colspan="1"><a href="panels/objects/fwWiener/fwWienerDriverDetails.htm">fwWienerDriverDetails.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">A reference panel to give an overview of the fan status
      of a Wiener device</td>
      <td style="width: 50%;" colspan="1"><a href="panels/objects/fwWiener/fwWienerFansOverview.htm">fwWienerFansOverview.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">A reference panel for showing the detailed fan information
        of a Wiener device</td>
      <td style="width: 50%;" colspan="1"><a href="panels/objects/fwWiener/fwWienerFansTable.htm">fwWienerFansTable.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">A reference panel to give a general overview of the status
      of a Wiener device</td>
      <td style="width: 50%;" colspan="1"><a href="panels/objects/fwWiener/fwWienerGeneralOverview.htm">fwWienerGeneralOverview.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">A reference panel to give an overview of the channel groups
      of a Wiener MARATON device</td>
      <td style="width: 50%;" colspan="1"><a href="panels/objects/fwWiener/fwWienerGroupsOverview.htm">fwWienerGroupsOverview.npl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">A reference panel to give an overview of the temperature
      status of a Wiener device</td>
      <td style="width: 50%;" colspan="1"><a href="panels/objects/fwWiener/fwWienerTemperaturesOverview.htm">fwWienerTemperaturesOverview.pnl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">A reference panel for showing the trip settings of a Wiener
      device</td>
      <td style="width: 50%;" colspan="1"><a href="panels/objects/fwWiener/fwWienerTripsOverview.htm">fwWienerTripsOverview.pnl</a></td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Libraries</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">This component does not contain any libraries.</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
